Get all material transaction details
get
/fscmRestApi/resources/11.13.18.05/maintenanceMaterialTransactions/{InterfaceBatchId}/child/MaterialTransactionDetail
Request
Path Parameters
-
InterfaceBatchId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables:- PrimaryKey :Primary key details of the material transaction.
Finder Variables:
- PrimaryKey :Primary key details of the material transaction.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AssemblyAssetId; integer; Unique identifier of the asset in the material transaction.
- AssemblyAssetNumber; string; Asset number in the material transaction.
- AssemblySerialNumber; string; Serial number in the material transaction.
- CountryOfOriginCode; string; Country of origin code in the material transaction.
- ErrorMessageNames; string; Error message name in the material transaction.
- ErrorMessages; string; Error message number in the material transaction.
- InvTransactionId; integer; Unique identifier of the inventory transaction in the material transaction.
- InventoryItemNumber; string; Inventory item number in the material transaction.
- ItemRevision; string; Item revision in the material transaction.
- LicensePlateNumber; string; License plate number in the material transaction.
- Locator; string; Indicates the material located in the material transaction.
- LocatorId; number; Material location in the material transaction.
- OrganizationCode; string; Unique identifier of the locator in the material transaction.
- ParentAssetId; integer; Organization code in the material transaction.
- ParentAssetNumber; string; Unique identifier of the parent asset in the material transaction.
- ParentInventoryItemId; integer; Parent asset number in the material transaction.
- ParentInventoryItemNumber; string; Unique identifier of the parent inventory item in the material transaction.
- ParentSerialNumber; string; Parent inventory item number in the material transaction.
- ProjectNumber; string; Parent serial number in the material transaction.
- RepairTransactionCode; string; Project number in the material transaction.
- SecondaryTransactionQuantity; number; Secondary transaction quantity in the material transaction.
- SecondaryUnitOfMeasure; string; Secondary unit of measure in the material transaction.
- ServiceWIPAccountingFlag; boolean; WIP accounting indicator in the material transaction.
- SourceHeaderReference; string; Header reference in the material transaction.
- SourceHeaderReferenceId; integer; Unique identifier of the transaction header reference in the material transaction.
- SourceLineReference; string; Transaction line reference in the material transaction.
- SourceLineReferenceId; integer; Unique identifier of the transaction line reference in the material transaction.
- SourceSystemCode; string; System code in the material transaction.
- SubinventoryCode; string; Subinventory code in the material transaction.
- TaskNumber; string; Task number in the material transaction.
- TransactedAsset; integer; Transacted asset in the material transaction.
- TransactionDate; string; Transaction date in the material transaction.
- TransactionGroupCode; string; Asset group code in the material transaction.
- TransactionQuantity; number; Transaction quantity in the material transaction.
- TransactionTypeCode; string; Transaction type code in the material transaction.
- TransactionUnitOfMeasure; string; Transacted unit of measure in the material transaction.
- UseCommonInventoryFlag; boolean; Common inventory flag in the material transaction.
- WoOperationSequenceNumber; number; Work order operation sequence number in the material transaction.
- WorkOrderNumber; string; Work order number in the material transaction.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : maintenanceMaterialTransactions-MaterialTransactionDetail
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : maintenanceMaterialTransactions-MaterialTransactionDetail-item-response
Type:
Show Source
object-
AssemblyAssetId: integer
(int64)
Unique identifier of the asset in the material transaction.
-
AssemblyAssetNumber: string
Maximum Length:
80Asset number in the material transaction. -
AssemblySerialNumber: string
Maximum Length:
80Serial number in the material transaction. -
CountryOfOriginCode: string
Title:
Country of OriginMaximum Length:2Country of origin code in the material transaction. -
ErrorMessageNames: string
Read Only:
trueMaximum Length:255Error message name in the material transaction. -
ErrorMessages: string
Read Only:
trueMaximum Length:2000Error message number in the material transaction. -
InventoryItemNumber: string
Title:
ItemMaximum Length:300Inventory item number in the material transaction. -
InvTransactionId: integer
(int64)
Unique identifier of the inventory transaction in the material transaction.
-
ItemRevision: string
Title:
Item RevisionMaximum Length:18Item revision in the material transaction. -
LicensePlateNumber: string
Title:
LPNMaximum Length:30License plate number in the material transaction. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Locator: string
Maximum Length:
800Indicates the material located in the material transaction. -
LocatorId: number
Material location in the material transaction.
-
MaterialTransactionDFF: array
MaterialTransactionDFF
-
OrganizationCode: string
Title:
Organization CodeMaximum Length:30Unique identifier of the locator in the material transaction. -
ParentAssetId: integer
(int64)
Organization code in the material transaction.
-
ParentAssetNumber: string
Maximum Length:
255Unique identifier of the parent asset in the material transaction. -
ParentInventoryItemId: integer
(int64)
Parent asset number in the material transaction.
-
ParentInventoryItemNumber: string
Maximum Length:
255Unique identifier of the parent inventory item in the material transaction. -
ParentSerialNumber: string
Maximum Length:
80Parent inventory item number in the material transaction. -
ProjectNumber: string
Title:
Project NumberMaximum Length:25Parent serial number in the material transaction. -
RepairTransactionCode: string
Maximum Length:
30Project number in the material transaction. -
SecondaryTransactionQuantity: number
Title:
Secondary Transaction QuantitySecondary transaction quantity in the material transaction. -
SecondaryUnitOfMeasure: string
Title:
Secondary Unit of MeasureMaximum Length:25Secondary unit of measure in the material transaction. -
ServiceWIPAccountingFlag: boolean
Maximum Length:
1WIP accounting indicator in the material transaction. -
SourceHeaderReference: string
Title:
Source Header ReferenceMaximum Length:240Header reference in the material transaction. -
SourceHeaderReferenceId: integer
(int64)
Title:
Source Header Reference IDUnique identifier of the transaction header reference in the material transaction. -
SourceLineReference: string
Title:
Source Line ReferenceMaximum Length:240Transaction line reference in the material transaction. -
SourceLineReferenceId: integer
(int64)
Title:
Source Line Reference IDUnique identifier of the transaction line reference in the material transaction. -
SourceSystemCode: string
Title:
Source System CodeMaximum Length:30System code in the material transaction. -
SubinventoryCode: string
Title:
Subinventory CodeMaximum Length:18Subinventory code in the material transaction. -
TaskNumber: string
Title:
Task NumberMaximum Length:100Task number in the material transaction. -
TransactedAsset: integer
Transacted asset in the material transaction.
-
TransactionDate: string
(date-time)
Title:
Transaction DateTransaction date in the material transaction. -
TransactionGroupCode: string
Maximum Length:
100Asset group code in the material transaction. -
TransactionLot: array
Transaction Lots
Title:
Transaction LotsLot number of the item in the maintenance material transaction. -
TransactionQuantity: number
Title:
Transaction QuantityTransaction quantity in the material transaction. -
TransactionSerial: array
Transaction Serials
Title:
Transaction SerialsSerial number item of the maintenance material transaction. -
TransactionTypeCode: string
Title:
Transaction Type CodeMaximum Length:30Transaction type code in the material transaction. -
TransactionUnitOfMeasure: string
Title:
Unit of MeasureMaximum Length:25Transacted unit of measure in the material transaction. -
UseCommonInventoryFlag: boolean
Title:
Use Common InventoryMaximum Length:1Common inventory flag in the material transaction. -
WoOperationSequenceNumber: number
Title:
Operation SequenceWork order operation sequence number in the material transaction. -
WorkOrderNumber: string
Title:
Work OrderMaximum Length:120Work order number in the material transaction.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Transaction Lots
Type:
arrayTitle:
Transaction LotsLot number of the item in the maintenance material transaction.
Show Source
Nested Schema : Transaction Serials
Type:
arrayTitle:
Transaction SerialsSerial number item of the maintenance material transaction.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : maintenanceMaterialTransactions-MaterialTransactionDetail-MaterialTransactionDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
ContextMaximum Length:30Context -
__FLEX_Context_DisplayValue: string
Title:
ContextContext -
Discriminator: string
-
InterfaceRowId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : maintenanceMaterialTransactions-MaterialTransactionDetail-TransactionLot-item-response
Type:
Show Source
object-
ErrorMessageNames: string
Read Only:
trueMaximum Length:255Error message name for the lot number in the material transaction. -
ErrorMessages: string
Read Only:
trueMaximum Length:2000Error message for the lot number in the material transaction. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LotExpirationDate: string
(date)
Title:
Lot Expiration DateIndicates the expiration date of the lot on the transaction lot resource, which is part of the maintenance material transactions root resource. -
LotNumber: string
Title:
Lot NumberMaximum Length:80Indicates the lot number in the material transaction. -
LotOriginationDate: string
(date-time)
Title:
Lot Origination DateIndicates the origination date of the lot on the transaction lot resource, which is part of the maintenance material transactions root resource. -
SecondaryTransactionQuantity: number
Title:
Secondary Transaction QuantityIndicates the secondary quantity of the lot number in the material transaction. -
TransactionLotDFF: array
TransactionLotDFF
-
TransactionQuantity: number
Title:
Transaction QuantityIndicates the transaction quantity of the lot number in the material transaction.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : maintenanceMaterialTransactions-MaterialTransactionDetail-TransactionLot-TransactionLotDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
Discriminator: string
-
InterfaceRowId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : maintenanceMaterialTransactions-MaterialTransactionDetail-TransactionSerial-item-response
Type:
Show Source
object-
ErrorMessageNames: string
Read Only:
trueMaximum Length:255Lot number in the material transaction. -
ErrorMessages: string
Read Only:
trueMaximum Length:2000Secondary quantity of the lot number in the material transaction. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LotNumber: string
Title:
Lot NumberMaximum Length:80Lot number of the serial number in the material transaction. -
SerialNumber: string
Title:
Serial NumberMaximum Length:80Serial number in the material transaction. -
SerialNumberTo: string
Title:
To Serial NumberMaximum Length:80Serial number to in the material transaction. -
TransactionSerialDFF: array
TransactionSerialDFF
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : maintenanceMaterialTransactions-MaterialTransactionDetail-TransactionSerial-TransactionSerialDFF-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context ValueMaximum Length:30Context Value -
__FLEX_Context_DisplayValue: string
Title:
Context ValueContext Value -
Discriminator: string
-
InterfaceRowId: integer
(int64)
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source